Skip to main content
GET
List Account Applications

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Query Parameters

account_id
string

ID of the Account object that is created as a result of a successful application. Filterable.

account_product_id
string

ID of an Account Product object that determines what kind of account is created. Filterable.

business_application_id
string

ID of the Business Application object for the business applying for the account. Only needed for business accounts. Filterable.

ownership_type
string

One of: business, personal. Filterable.

primary_person_application_id
string

ID of the Person Application object representing the primary person applicant. Filterable.

status
string

One of: unsubmitted, submitted, canceled, kyc, processing, manual_review, rejected, or approved. Indicates the current status of the application as it is evaluated. Filterable.

page_cursor
string

Pagination cursor, value is the object ID.

page_size
integer
default:100

Limits the number of objects in the returned list, value must be a number greater than or equal to 1. Defaults to 100.

Required range: x >= 1
from_date
string

Lists the objects created on the date provided and onwards. Date must be in ISO 8601 format (“YYYY-MM-DD”).

to_date
string

Lists the objects created before the date provided. Date must be in ISO 8601 format (“YYYY-MM-DD”).

Response

200 - application/json

A dictionary with a data property that contains a list of up to page_size account-application elements, starting after the account-application described by page_cursor. If no more account-applications are available, the resulting list will be empty.

data
object[]